MWAWCell::Format Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MWAWCell::Format Struct Reference

a structure uses to define the format of a cell content More...

`#include <MWAWCell.hxx>`

Inheritance diagram for MWAWCell::Format:

## Public Member Functions
| Format ()
| constructor More...
virtual | ~Format ()
| destructor More...
bool | hasBasicFormat () const
| returns true if this is a basic format style More...
std::string | getValueType () const
| returns a value type More...
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the numbering style More...
int | compare (Format const &format) const
| a comparison function More...

## Public Attributes
FormatType | m_format
| the cell format : by default unknown More...
NumberType | m_numberFormat
| the numeric format More...
int | m_digits
| the number of digits More...
int | m_integerDigits
| the number of main digits More...
int | m_numeratorDigits
| the number of numerator digits More...
int | m_denominatorDigits
| the number of denominator digits More...
bool | m_thousandHasSeparator
| true if we must separate the thousand More...
bool | m_parenthesesForNegative
| true if we use parenthese to print negative number More...
std::string | m_currencySymbol
| the currency symbol ( default '$') More...
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format ) More...

## Friends
std::ostream & | operator<< (std::ostream &o, Format const &format)
| operator<< More...

## Detailed Description

a structure uses to define the format of a cell content

## Constructor & Destructor Documentation

MWAWCell::Format::Format | ( |  | ) |
| inline

constructor

MWAWCell::Format::~Format | ( |  | ) |
| virtual

destructor

Referenced by Format().

## Member Function Documentation

int MWAWCell::Format::compare | ( | MWAWCell::Format const & | cell | ) | const

a comparison function

Referenced by hasBasicFormat(), and MWAWCell::CompareFormat::operator()().

bool MWAWCell::Format::getNumberingProperties | ( | librevenge::RVNGPropertyList & | propList | ) | const

get the numbering style

Referenced by hasBasicFormat(), and MWAWSpreadsheetListener::openSheetCell().

std::string MWAWCell::Format::getValueType | ( |  | ) | const

returns a value type

Referenced by hasBasicFormat(), and MWAWSpreadsheetListener::openSheetCell().

bool MWAWCell::Format::hasBasicFormat | ( |  | ) | const
| inline

returns true if this is a basic format style

Referenced by MWAWSpreadsheetListener::openSheetCell().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWCell::Format const & | format
| ) |  |
| friend

operator<<

Referenced by MWAWCellContent::FormulaInstruction::FormulaInstruction(), hasBasicFormat(), MWAWCell::~MWAWCell(), and MWAWCellContent::~MWAWCellContent().

## Member Data Documentation

std::string MWAWCell::Format::m_currencySymbol

the currency symbol ( default '$')

Referenced by compare(), getNumberingProperties(), and operator<<().

int MWAWCell::Format::m_denominatorDigits

the number of denominator digits

Referenced by compare(), getNumberingProperties(), and operator<<().

int MWAWCell::Format::m_digits

the number of digits

Referenced by compare(), MWAWCellContent::double2String(), getNumberingProperties(), operator<<(), GreatWksSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), ClarisWksStyleManager::readCellStyles(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), RagTimeSpreadsheet::readNumericFormat(), ClarisWksDbaseContent::readRecordSSV1(), WingzParser::readSpreadsheetCellList(), and RagTimeSpreadsheet::readSpreadsheetCellV2().

std::string MWAWCell::Format::m_DTFormat

a date/time format ( using a subset of strftime format )

Referenced by compare(), MWAWCellContent::double2String(), getNumberingProperties(), operator<<(), GreatWksSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), and RagTimeSpreadsheetInternal::CellFormat::update().

FormatType MWAWCell::Format::m_format

the cell format : by default unknown

Referenced by compare(), MWAWCellContent::double2String(), MWAWCell::getFormat(), getNumberingProperties(), getValueType(), hasBasicFormat(), MWAWSpreadsheetListener::openSheetCell(), operator<<(), GreatWksSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), MsWksDBParser::readDefaultValues(), GreatWksDBParser::readField(), BeagleWksDBParser::readFields(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), GreatWksDBParser::readFormulaResult(), RagTimeSpreadsheet::readNumericFormat(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), RagTimeSpreadsheet::readSpreadsheetCellContent(), RagTimeSpreadsheet::readSpreadsheetCellV2(), ClarisWksDbaseContent::send(), RagTimeSpreadsheet::send(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), MWAWCell::setFormat(), RagTime5SpreadsheetInternal::CellValue::update(), RagTimeSpreadsheetInternal::CellFormat::update(), RagTime5StyleManager::updateCellFormat(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

int MWAWCell::Format::m_integerDigits

the number of main digits

Referenced by compare(), getNumberingProperties(), and operator<<().

NumberType MWAWCell::Format::m_numberFormat

the numeric format

Referenced by compare(), MWAWCellContent::double2String(), getNumberingProperties(), getValueType(), operator<<(), GreatWksSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), GreatWksDBParser::readField(), BeagleWksDBParser::readFields(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), RagTimeSpreadsheet::readNumericFormat(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), RagTimeSpreadsheet::readSpreadsheetCellContent(), and RagTimeSpreadsheet::readSpreadsheetCellV2().

int MWAWCell::Format::m_numeratorDigits

the number of numerator digits

Referenced by compare(), getNumberingProperties(), and operator<<().

bool MWAWCell::Format::m_parenthesesForNegative

true if we use parenthese to print negative number

Referenced by compare(), operator<<(), ClarisWksStyleManager::readCellStyles(), and RagTime5StyleManager::readFormats().

bool MWAWCell::Format::m_thousandHasSeparator

true if we must separate the thousand

Referenced by compare(), getNumberingProperties(), operator<<(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), ClarisWksStyleManager::readCellStyles(), MsWksDBParser::readFieldTypes(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), and RagTimeSpreadsheet::readNumericFormat().

The documentation for this struct was generated from the following files:

- MWAWCell.hxx
- MWAWCell.cxx